This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 968489 - Not informative exception with recursive stack-overflow JSF custom taglib JBoss AS 7
Not informative exception with recursive stack-overflow JSF custom taglib JBo...
Status: CLOSED INSUFFICIENT_DATA
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
: SupportQuestion
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 15:08 EDT by Ihor
Modified: 2015-05-14 19:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 16:59:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ops (33.40 MB, application/x-gzip)
2013-05-30 08:07 EDT, Ihor
no flags Details

  None (edit)
Description Ihor 2013-05-29 15:08:58 EDT
Description of problem:
I just add my new custom JSF Facelets taglib to my Application
on my local PC all work good, JBoss AS 7.1.1, without any exceptions

on OpenShift JBoss AS 7.0.13 all freeze, in console I can see 24/7 stack-trace exceptions, where no words about taglib
after this only one command is work - force-stop

Version-Release number of selected component (if applicable):
my local PC JBoss AS 7.1.1
OpenShift JBoss AS 7.0.13
JSF 2.1.7-jboss-1
also I use
org.primefaces 4
springframework
springframework mvc
springframework.security
                <dependency>
			<groupId>org.ocpsoft.rewrite</groupId>
			<artifactId>rewrite-servlet</artifactId>
			<version>2.0.1.Final</version>
		</dependency>
		<dependency>
			<groupId>org.ocpsoft.rewrite</groupId>
			<artifactId>rewrite-config-prettyfaces</artifactId>
			<version>2.0.1.Final</version>
		</dependency>
How reproducible:
1. create custom taglib
2. run on OpenShift

Steps to Reproduce:
/WEB-INF/tags/com/appspot/alefemet/plusOne.xhtml
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"   
   xmlns:h="http://java.sun.com/jsf/html"
   xmlns:g="http://alefemet.appspot.com/tag"
   xmlns:ui="http://java.sun.com/jsf/facelets">
<h:body>
   <ui:composition> 
   	<g:plusone size="tall" href="#{href}"></g:plusone>
   </ui:composition>
</h:body>
</html>

WEB-INF/g.taglib.xml
<?xml version="1.0"?>
<!DOCTYPE facelet-taglib PUBLIC
"-//Sun Microsystems, Inc.//DTD Facelet Taglib 1.0//EN"
"http://java.sun.com/dtd/facelet-taglib_1_0.dtd">
<facelet-taglib>
	<namespace>http://alefemet.appspot.com/facelets</namespace>
	<tag>
		<tag-name>plusOne</tag-name>
		<source>/WEB-INF/tags/com/appspot/alefemet/plusOne.xhtml</source>
	</tag>
</facelet-taglib>
web.xml
 <context-param>
  <param-name>javax.faces.FACELETS_LIBRARIES</param-name>
  <param-value>/WEB-INF/g.taglib.xml;/WEB-INF/springsecurity.taglib.xml</param-value>
 </context-param>

Actual results:
 [org.apache.catalina.core.ContainerBase.[jboss.web].[default-host].[/].[Faces
 Servlet]] (http--127.12.40.129-8080-2) Servlet.service() for servlet
 Faces
Servlet threw exception: java.io.FileNotFoundException
at
org.apache.naming.resources.DirContextURLConnection.getInputStream(DirContextURLConnection.java:369)
 [jbossweb-7.0.13.Final.jar:]
at com.sun.faces.facelets.impl.DefaultFaceletCache._getLastModified(DefaultFaceletCache.java:172) [jsf-impl-2.1.7-jbossorg-2.jar:]

Expected results:


Additional info:
Comment 1 Ihor 2013-05-29 15:35:26 EDT
JSF 2.1.7-jbossorg-2
Comment 3 Dan Mace 2013-05-30 07:31:44 EDT
Ihor,

Unfortunately, I was unable to reproduce the issue with the information provided. Could you please provide a more complete example which could be pushed to a new jbossas-7 OpenShift application (including a complete example pom.xml, web.xml, any supplementary/custom class source, and some sort of XHTML page using the custom tag)?

Thanks.
Comment 4 Ihor 2013-05-30 07:49:03 EDT
now I have another issue and my application not start
https://bugzilla.redhat.com/show_bug.cgi?id=968849

Also please forgive me for I used not informative comments for commits.

"Could you please provide a more complete example"
Please look: this code gave exception(also after this I recreate "rs" application, before I use small gears, now I created application with medium gears)
rs-emetemunoy.rhcloud.com

commit 196a3ba54463e5173b8aa41a0d7ece7fc35db993
Author: 452 <sp.titan@gmail.com> 2013-05-26 18:01:40
Committer: 452 <sp.titan@gmail.com> 2013-05-26 18:01:40
Parent: 20e5bb5a7fe139d434211162d81bdb6e7d2c7c3b (jrebel)
Child: ce8763225945dceaf7442541fe9db8e6e4793ffe (os)
Branches: test, origin/master

added Like buttons
===============================================================
worked because I use .java @FacesComponent
commit 6c1bf64ad980169186d5afcd0290759062ac9c5e
Author: 452 <sp.titan@gmail.com> 2013-05-29 15:04:55
Committer: 452 <sp.titan@gmail.com> 2013-05-29 15:04:55
Parent: 9e0a6930146736802eefec4e76d519c611e48e95 (f)
Child: 5b3728bdb70e814cf8fd7581c4c5c0a631c71091 (xcz)
Branches: test, origin/master

component
Comment 5 Dan Mace 2013-05-30 07:56:20 EDT
Ihor,

The OpenShift team doesn't have access to the source code/Git repository of your application. If you're willing to share it in this case, could you archive those commits (or the entire repository) as attachments to this issue so I can reproduce the issue in our development environments?

Thanks,
Dan
Comment 6 Ihor 2013-05-30 08:07:38 EDT
Created attachment 754801 [details]
ops

please remove me
Comment 7 Dan Mace 2013-09-03 16:59:39 EDT
The provided sample code fails to deploy on a new jbossas-7 application:

2013/09/03 16:49:37,069 INFO  [org.jboss.as.server] (DeploymentScanner-threads - 2) JBAS015870: Deploy of deployment "ROOT.war" was rolled back with failure message {"JBAS014771: Services with missing/unavailable dependencies" => ["jboss.persistenceunit.\"ROOT.war#db.dbPU\"jboss.naming.context.java.jboss.datasources.ShopDSMissing[jboss.persistenceunit.\"ROOT.war#db.dbPU\"jboss.naming.context.java.jboss.datasources.ShopDS]"]}
2013/09/03 16:49:37,378 INFO  [org.jboss.as.server.deployment] (MSC service thread 1-4) JBAS015877: Stopped deployment ROOT.war in 311ms
2013/09/03 16:49:37,380 INFO  [org.jboss.as.controller] (DeploymentScanner-threads - 2) JBAS014774: Service status report
JBAS014775:    New missing/unsatisfied dependencies:
      service jboss.naming.context.java.jboss.datasources.ShopDS (missing) dependents: [service jboss.persistenceunit."ROOT.war#db.dbPU"]

Going to close this one out. If there's a working example which can be used to deploy to a stock jbossas-7 application which reproduces the original issue, please provide it and re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.